getTheta {copula} | R Documentation

## Get the Parameter(s) of a Copula

### Description

Get the parameter (vector) theta (`theta`) of a copula, see `setTheta` for more background.

### Usage

    getTheta(copula, freeOnly = TRUE, attr = FALSE, named = attr)

### Arguments

`copula` | an R object of class `copula`.

`freeOnly` | logical indicating that only non-fixed aka “free” parameters are to be returned (as vector).
`attr` | logical indicating if `attributes` (such as lower and uppder bounds for each parameters) are to be returned as well.
`named` | logical if the resulting parameter vector should have `names`.

### Value

parameter vector of the copula, a `numeric` vector, possibly with names and other attributes (depending on the `attr` and `named` arguments).

### Methods

`signature(copula = "copula")`

  ..

`signature(copula = "acopula")`

  ..

`signature(copula = "khoudrajiCopula")`

  ..

`signature(copula = "mixCopula")`

  ..

`signature(copula = "rotCopula")`

  ..

`signature(copula = "xcopula")`

  ..

### See Also

`setTheta`, its inverse.

### Examples

    getTheta(setTheta(copClayton, 0.5)) # is 0.5

[Package copula version 0.999-18 Index]